#ifndef LTC6903_H_
#define LTC6903_H_

#include <stdint.h>
#include <PropWare/PropWare.h>
#include <PropWare/serial/spi/spi.h>

class LTC6903 {
public:
	LTC6903(PropWare::SPI *spibus, PropWare::Port::Mask CS);
	void SetManual(uint16_t oct, uint16_t dac);
	void SetFrequency(uint32_t freq);
private:
	//uint8_t _CS;
	//uint8_t _SCLK;
	//uint8_t _SDI;
	PropWare::Pin _CS;
	PropWare::SPI *_spibus;
};
#endif